# All the configuration elements listed below must be in lowercase
#  category, software, variables environnement, directory, pipelines,name, 
#  version, author, location, description, path
category:
  Go:
    software:
      Go Lang:
        name: "Go Lang" 
        version: "1.17.5"
        author: "Google"
        location: 'C:\Users\bruno\scoop\apps\go\current'
        description: "Go is an open source programming language that makes it easy to build simple, reliable, and efficient software."
      Tasks:
        name: "Tasks"
        version: "0.2.0"
        author: "Google"
        location: 'C:\Users\bruno\scoop\apps\tasks\current'
        description: 'Task is a task runner / build tool that aims to be simpler and easier to use than, for example, GNU Make.'  
    
    environments variables:
      PATH: 'C:\Users\bruno\go\bin'
      PATH2: 'C:\Users\bruno\scoop\apps\tasks\current\bin'
    
    directory:
      source: 
        path:
          - src/config
          - src/version

      test:
        path:
          - test

      release: 
        path:
          - release
          - release/windows
          - release/linux
        
    pipelines:
      # build: "go build"
      # test: "go test"
      # lint: "golint"

  Java:
    software:
      Quarkus:
        name: "Quarkus"
        version: "2.0.0"
        author: "Red Hat"
        location: 'C:\Users\bruno\scoop\apps\quarkus\current'
        description: "Quarkus is a full-stack, Kubernetes-native Java framework made for Java virtual machines (JVMs) and native compilation, optimizing Java specifically for containers and enabling it to become an effective platform for serverless, cloud, and Kubernetes environments."
      Maven:
        name: "Maven"
        version: "3.8.3"
        author: "Apache"
        location: 'C:\Users\bruno\scoop\apps\maven\current'
        description: "Maven is a build automation tool used primarily for Java projects. Maven addresses two aspects of building software: first, it describes how software is built, and second, it describes its dependencies."
      Ant:
        name: "Ant"
        version: "1.10.11"
        author: "Apache"
        location: 'C:\Users\bruno\scoop\apps\ant\current'
        description: "Apache Ant is a Java library and command-line tool whose mission is to drive processes described in build files as targets and extension points dependent upon each other. The main known usage of Ant is the build of Java applications."
    
    environments variables:
      JAVA_HOME: 'C:\Users\bruno\scoop\apps\graalvm-jdk17\current'
      ANT_HOME: 'C:\Users\bruno\scoop\apps\ant\current'
    
    directory:
      source:
        path: 
          - src/main/java
      test:
        path: 
          - src/test/java
    
    pipelines:
      # compile: mvn compile
      # test: mvn test
      # package: mvn package

  Mixe:
    software:
      Visual Studio Code:
        name: "Visual Studio Code"
        version: "1.59.1"
        author: "Microsoft Corporation"
        location: 'C:\Users\bruno\scoop\apps\vscode\current'
        description: "Visual Studio Code is a streamlined code editor with support for development operations like debugging, task running, and version control."
    variables environnement: {}
    extensions:
      - esbenp.prettier-vscode
      - editorconfig.editorconfig